X
Tap here to go to the mobile version of the site.

منتدى الدعم

Cannot get FF versions labelled for XP64 to load...requires 7 or later

Posted

Late last night in a mad dash of troubleshooting, we tried to load a 64 bit FireFox into the XP64 bit computer. Now, we tried probably a lot...from something like 41.0.09 (last 41 version) up through 50.something). ALL of these on the Mozilla website list them as compatible with XP 64...yet every one, when loading, stopped and flagged that I must have 7 or later. We went back and checked..every one says XP 64 bit compatibility.

What I need is to have that limitation removed...not just for me, but for the (admitted by MicroSoft) over 30 million XP users out there.

Please advise.

Late last night in a mad dash of troubleshooting, we tried to load a 64 bit FireFox into the XP64 bit computer. Now, we tried probably a lot...from something like 41.0.09 (last 41 version) up through 50.something). ALL of these on the Mozilla website list them as compatible with XP 64...yet every one, when loading, stopped and flagged that I must have 7 or later. We went back and checked..every one says XP 64 bit compatibility. What I need is to have that limitation removed...not just for me, but for the (admitted by MicroSoft) over 30 million XP users out there. Please advise.

Additional System Details

Installed Plug-ins

  • Shockwave Flash 24.0 r0
  • Next Generation Java Plug-in 11.111.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe Shockwave for Director Netscape plug-in, version 12.2.1.171
  • Adobe Shockwave for Director Netscape plug-in, version 12.1.9.160
  • VLC media player Web Plugin
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealPlayer Download Plugin
  • RealNetworks(tm) RealDownloader Chrome Background Extension Plug-In
  • RealNetworks(tm) RealDownloader PepperFlashVideoShim Plug-In
  • RealNetworks(tm) RealDownloader HTML5VideoShim Plug-In
  • RealDownloader Plugin
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.03
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:35.0) Gecko/20100101 Firefox/35.0

More Information

Seburo
  • Top 10 Contributor
  • Moderator
811 solutions 6000 answers

Hi

Thank you for your question.

Firefox is only available for 64 bit Windows 7 or higher. The user base of XP 64 bit users is relatively small in comparison to the 32 bit version, however, it is worth mentioning that XP is increasingly an unsupported operating system.

You may need to look into updating Windows to a more recent version or moving to a free operating system such as a variant of Linux to continue to make sure you have important (non browser related) updates to make sure your device is stable and secure.

I also recommend that you have a read of this update on the future support for Firefox on Windows XP.

Hi Thank you for your question. Firefox is only available for 64 bit Windows 7 or higher. The user base of XP 64 bit users is relatively small in comparison to the 32 bit version, however, it is worth mentioning that XP is increasingly an unsupported operating system. You may need to look into updating Windows to a more recent version or moving to a free operating system such as a variant of Linux to continue to make sure you have important (non browser related) updates to make sure your device is stable and secure. I also recommend that you have a read of this [https://blog.mozilla.org/futurereleases/2016/12/23/firefox-support-for-xp-and-vista/ update] on the future support for Firefox on Windows XP.

Question owner

Good answer....but is missed part of the question. So, FF does not support 64 bit below 7.

However, the Mozilla website lists all FF versions from 41.0.09 or so through at least 50.0 as being for XP 64 bit.

If it isn't, it would probably save other folks lots of headaches if Mozilla would correct their website to reflect that.

Just a thought from a user.

Good answer....but is missed part of the question. So, FF does not support 64 bit below 7. However, the Mozilla website lists all FF versions from 41.0.09 or so through at least 50.0 as being for XP 64 bit. If it isn't, it would probably save other folks lots of headaches if Mozilla would correct their website to reflect that. Just a thought from a user.
Seburo
  • Top 10 Contributor
  • Moderator
811 solutions 6000 answers

Hi

It would be good to have the URL of the page that you are looking at so that I can look into this further for you.

Hi It would be good to have the URL of the page that you are looking at so that I can look into this further for you.

Question owner

Wait. I will try to do that, may involve re-visiting the 64 bit computer.

Wait. I will try to do that, may involve re-visiting the 64 bit computer.

Question owner

https://ftp.mozilla.org/pub/firefox/releases/

Software version Compatibility Mozilla Firefox 50.1.0 Windows XP, Windows Vista, Windows 8, Windows 7, Windows 10 Mozilla Firefox 50.0.2 Windows XP, Windows Vista, Windows 8, Windows 7, Windows 10 Mozilla Firefox 50.0 Windows XP, Windows Vista, Windows 8, Windows 7, Windows 10

So, when we see "compatible" with XP, and it lists a 64-bit version, and you don't know until you try to download it...and download the next one...and the next one......

https://ftp.mozilla.org/pub/firefox/releases/ Software version Compatibility Mozilla Firefox 50.1.0 Windows XP, Windows Vista, Windows 8, Windows 7, Windows 10 Mozilla Firefox 50.0.2 Windows XP, Windows Vista, Windows 8, Windows 7, Windows 10 Mozilla Firefox 50.0 Windows XP, Windows Vista, Windows 8, Windows 7, Windows 10 So, when we see "compatible" with XP, and it lists a 64-bit version, and you don't know until you try to download it...and download the next one...and the next one......
Tyler Downer
  • Top 25 Contributor
  • Moderator
1538 solutions 10733 answers

Where on https://ftp.mozilla.org/pub/firefox/releases/50.1.0/win64/en-US/ does it say compatible with Windows XP?

On the official system requirements page, https://www.mozilla.org/en-US/firefox/50.1.0/system-requirements/ it says:

Please note that 64-bit builds of Firefox are only supported on Windows 7 and higher. From Firefox 53 planned for April 2017, Windows XP/Vista/Server 2008 are no longer supported. These users should migrate to ESR 52 once available (planned for March 2017).

Where on https://ftp.mozilla.org/pub/firefox/releases/50.1.0/win64/en-US/ does it say compatible with Windows XP? On the official system requirements page, https://www.mozilla.org/en-US/firefox/50.1.0/system-requirements/ it says: Please note that 64-bit builds of Firefox are only supported on Windows 7 and higher. From Firefox 53 planned for April 2017, Windows XP/Vista/Server 2008 are no longer supported. These users should migrate to ESR 52 once available (planned for March 2017).
James
  • Top 25 Contributor
  • Moderator
1600 solutions 11315 answers

ScaleCraft said

So, when we see "compatible" with XP, and it lists a 64-bit version, and you don't know until you try to download it...and download the next one...and the next one......

The 32-bit version for Windows is compatible with 32-bit and 64-bit Windows from WinXP to 10.

The Firefox 42.0 Release was the first to have Win64 and the Win64 has always required 64-bit Windows 7, 8 (8.1), 10. Starting Firefox 43.0 Release the Win64 (64-bit for Windows) was made more visible in being listed on www.mozilla.org/firefox/all/

Since the Firefox 43.0 system requirements page at https://www.mozilla.org/firefox/43.0/system-requirements/ has this.

Please note that 64-bit builds of Firefox are only supported on Windows 7 and higher.
''ScaleCraft [[#answer-947987|said]]'' <blockquote> So, when we see "compatible" with XP, and it lists a 64-bit version, and you don't know until you try to download it...and download the next one...and the next one...... </blockquote> The '''32-bit''' version for Windows is compatible with 32-bit and 64-bit Windows from WinXP to 10. The Firefox '''42.0''' Release was the first to have '''Win64''' and the Win64 has always required '''64-bit Windows 7, 8 (8.1), 10'''. Starting Firefox 43.0 Release the Win64 (64-bit for Windows) was made more visible in being listed on www.mozilla.org/firefox/all/ Since the Firefox 43.0 system requirements page at https://www.mozilla.org/firefox/43.0/system-requirements/ has this. <blockquote>Please note that 64-bit builds of Firefox are only supported on Windows 7 and higher.</blockquote>

Modified by James